Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QMetaClassInfo Class Reference

The QMetaClassInfo class provides additional information about a class. More...

    #include <QMetaClassInfo>

- List of all members, including inherited members

### Public Functions

- const char * name () const
- const char * value () const

## Detailed Description

The QMetaClassInfo class provides additional information about a class.

Class information items are simple name--value pairs that are specified using `Q_CLASSINFO` in the source code. The information can be retrieved using name() and value().

## Member Function Documentation

### const char * QMetaClassInfo::name () const

Returns the name of this item.

See also value().

### const char * QMetaClassInfo::value () const

Returns the value of this item.

See also name().